<!DOCTYPE html>
<!--[if lt IE 7]> <html class="ie6" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7]> <html class="i7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]> <html class="ie" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 8]><!--> <html <?php language_attributes(); ?>> <!--<![endif]-->
<head>
<!--[if lt IE 9]>
<script src="https://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
<script src="<?php bloginfo('template_directory'); ?>/js/html5shiv.js"></script>
<![endif]-->
<meta charset="<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=no">
<meta name="format-detection" content="telephone=no" />
<?php if(is_category()): ?>
<?php elseif(is_archive()): ?>
<meta name="robots" content="noindex,follow">
<?php elseif(is_search()): ?>
<meta name="robots" content="noindex,follow">
<?php elseif(is_tag()): ?>
<meta name="robots" content="noindex,follow">
<?php elseif(is_paged()): ?>
<meta name="robots" content="noindex,follow">
<?php endif; ?>
<title>
<?php
global $page, $paged;
if(is_front_page()):
elseif(is_single()):
wp_title('|',true,'right');
elseif(is_page()):
wp_title('|',true,'right');
elseif(is_archive()):
wp_title('|',true,'right');
elseif(is_search()):
wp_title('|',true,'right');
elseif(is_404()):
echo'404 |';
endif;
bloginfo('name');
if($paged >= 2 || $page >= 2):
echo'-'.sprintf('%sページ',
max($paged,$page));
endif;
?>
</title>
<?php wp_head(); ?>
<?php get_template_part('ogp');?>
<?php get_template_part( 'head' ); ?>
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php if(is_mobile()) { ?>
<link rel="apple-touch-icon-precomposed" href="<?php echo get_template_directory_uri(); ?>/images/apple-touch-icon-precomposed.png" />
<?php } else { ?>
<?php } ?>
</head>


<body <?php body_class(); ?>>
<?php echo get_option( 'other_options_bodycode' ); ?>
<div id="totalcover">
<!-- Facebookのこの記事気に入ったらいいね用 -->
<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/ja_JP/sdk.js#xfbml=1&version=v2.9&appId=1791998471112354";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
<!-- /Facebookのこの記事気に入ったらいいね用 -->

<!-- ヘッダーエリアカバー -->
<div id="header-upper-area">
<header> 
<!-- キャプション -->
	<?php if(is_front_page() && !is_paged()): ?>
	<h1 class="descr <?php echo get_option( 'fanfare_logo_position' ); ?>">
    <?php bloginfo('description'); ?>
    </h1>
    <?php else : ?>
    <p class="descr <?php echo get_option( 'fanfare_logo_position' ); ?>">
    <?php bloginfo('description'); ?>
    </p>
	<?php endif; ?>
<!-- キャッチコピー -->


<!-- ロゴ・タイトルエリア -->		
<div id="logo-area">
	<?php get_template_part('left-menu'); //左ハンバーガーメニュー読み込み ?>
	<!-- ロゴ又はブログ名 -->
	<div id="logo" class="<?php echo get_option( 'fanfare_logo_position' ); ?>">
    <p class="sitename"><a class="gf" href="<?php echo home_url(); ?>/">
    <?php if (get_option('fanfare_logo_image')): //ロゴ画像がある時 ?>
    <img alt="<?php bloginfo( 'name' ); ?>" src="<?php echo esc_url(get_option('fanfare_logo_image')); ?>" />
    <?php else: //ロゴ画像が無い時 ?>
    <?php bloginfo( 'name' ); ?>
    <?php endif; ?>
    </a></p>	
	</div>


<?php get_template_part('modal-search-button'); //検索ボタン読み込み ?>
	<!--ナビメニューエリア-->
<div id="navi-large-area" class="smanone">
	<!-- ナビメニュー -->
	<div id="navi-area" class="smanone">
    <nav id="main-navigation" class="smanone clearfix">
    <?php $defaults = array('theme_location' => 'navbar',);wp_nav_menu( $defaults );?>
    </nav>

	</div>
	<!-- ナビメニュー -->
</div>
<!--/ナビメニューエリア-->

</div>
<!-- /ロゴ・タイトル・ナビエリア -->
<!-- ここで一旦フロートクリア -->
<div class="clear">
</div>
<!-- /ここで一旦フロートクリア -->
</header>
</div>
<!-- /header-upper-area -->
<div class="header-fixed-area-desc"></div>
<div class="header-fixed-area-main"></div>
<!--ヘッダー画像-->
<?php if(is_front_page() && !is_paged()): ?>
<div id="header-gazou-area" class="animated fadeIn <?php echo get_option( 'fanfare_header_imgsize' ); ?>">
	<div id="gazou">
		<!-- PCでのヘッダー画像 -->
		<div id="header-gazou-pc" class="smanone">
   		<?php if(get_header_image()): ?>
    	<p id="headimg"><img src="<?php header_image(); ?>" alt="*" width="<?php echo HEADER_IMAGE_WIDTH; ?>" height="<?php echo HEADER_IMAGE_HEIGHT; ?>" /></p>
    	<?php endif; ?>
		<div class="header-gazou-inner">
		<?php if (is_front_page() && !is_paged()){dynamic_sidebar(7);}?>
		</div>
		</div>
		<!-- /PCでのヘッダー画像 -->
		<!-- スマホ&タブでのヘッダー画像 -->
		<?php if ( get_the_headersp_image_url() ) : ?>
		<div id="header-sp-wrap" class="pcnone">
 		 <div id='header-sp' class="pcnone">
    	  <img src='<?php echo get_the_headersp_image_url(); ?>' alt='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>'>
		 	 <div id="header-sp-innner-center">
		　	<?php if (is_front_page() && !is_paged()){dynamic_sidebar(8);}?>
		     </div>
		 </div>
		</div>
		<?php else : ?>
		<?php endif; ?>
    </div>
</div>
<?php endif; ?>
<!-- /ヘッダー画像 --> 
	<?php if(is_front_page() && !is_paged()): ?>
	<?php else : ?>
	<div id="under-navi"></div>
			<?php endif; ?>
<div id="wrapper">